<app-marketing-frame>
  <div class="account-column__inner account-column__inner--right">
    <div class="account-column__right-heading">
      <h1 class="heading-medium">Reset&nbsp;Password</h1>
      <div class="account-column__link">
        <app-text-link
          id="btn-signin"
          [link]="['/account/login']"
          (click)="backToLogin.emit()"
        >
          Back&nbsp;to&nbsp;Login
        </app-text-link>
      </div>
    </div>

    <div class="register-step__heading--completed u-margin-b-20">
      Email
      <span
        class="register-step__icon register-step__icon--active"
        [inlineSVG]="'../../assets/svg/check.svg'"
      ></span>
    </div>

    <div class="register-step__heading--completed u-margin-b-20">
      Confirm Email Address
      <span
        class="register-step__icon register-step__icon--active"
        [inlineSVG]="'../../assets/svg/check.svg'"
      ></span>
    </div>

    <div class="register-step__heading--completed u-margin-b-20">
      Enter Backup Code
      <span
        class="register-step__icon register-step__icon--active"
        [inlineSVG]="'../../assets/svg/check.svg'"
      ></span>
    </div>

    <form [ngrxFormState]="form" (submit)="onSubmit()">
      <app-password-input
        [showConfirm]="form.controls.showConfirm"
        [newPassword]="form.controls.newPassword"
        [newPasswordConfirm]="form.controls.newPasswordConfirm"
        [errors]="form.errors"
        [isSubmitted]="form.isSubmitted"
        (toggleConfirm)="toggleConfirm.emit()"
      ></app-password-input>

      <div class="u-relative">
        <button
          id="setPasswordSubmit"
          class="button button--large button--green"
          [disabled]="hasStarted"
          type="submit"
        >
          Recover Account
        </button>
        <progress-indicator
          [inProgress]="hasStarted"
          inProgressText="Recovering"
        ></progress-indicator>
      </div>
    </form>
  </div>
</app-marketing-frame>
